NX Open C++ Reference Guide
|
Represents a GeometricUtilities::ShapeFrameBuilder
Created in NX6.0.0.
More...
Public Types | |
enum | AnchorAttachmentType { AnchorAttachmentTypeNone, AnchorAttachmentTypeCenter, AnchorAttachmentTypeVertex1, AnchorAttachmentTypeVertex2, AnchorAttachmentTypeVertex3, AnchorAttachmentTypeVertex4 } |
Represents the anchor attachment type. More... | |
Public Member Functions | |
NXOpen::GeometricUtilities::AnchorLocatorBuilder * | Anchor () |
Returns the anchor of the frame Created in NX6.0.0. | |
NXOpen::GeometricUtilities::ShapeFrameBuilder::AnchorAttachmentType | AnchorAttachment () |
Returns the anchor attachment Created in NX6.0.0. | |
NXOpen::Point2d | GetMidpointCoords (int index) |
Gets the coordinates of the i-th midpoint of the frame with respect to the plane. | |
NXOpen::Point2d | GetVertexCoords (int index) |
Gets the coordinates of the i-th vertex of the frame with respect to the plane. | |
int | NumberVertices () |
Returns the number of vertices of the frame Created in NX6.0.0. | |
void | SetAnchorAttachment (NXOpen::GeometricUtilities::ShapeFrameBuilder::AnchorAttachmentType anchorAttachment) |
Sets the anchor attachment Created in NX6.0.0. | |
void | SetMidpointCoords (int index, const NXOpen::Point2d &coords) |
Sets the coordinates of the i-th midpoint of the frame with respect to the plane Created in NX6.0.0. | |
void | SetVertexCoords (int index, const NXOpen::Point2d &coords) |
Sets the coordinates of the i-th vertex of the frame with respect to the plane Created in NX6.0.0. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a GeometricUtilities::ShapeFrameBuilder
Created in NX6.0.0.
Represents the anchor attachment type.
NXOpen::GeometricUtilities::AnchorLocatorBuilder* NXOpen::GeometricUtilities::ShapeFrameBuilder::Anchor | ( | ) |
Returns the anchor of the frame
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::ShapeFrameBuilder::AnchorAttachmentType NXOpen::GeometricUtilities::ShapeFrameBuilder::AnchorAttachment | ( | ) |
Returns the anchor attachment
Created in NX6.0.0.
License requirements : None
NXOpen::Point2d NXOpen::GeometricUtilities::ShapeFrameBuilder::GetMidpointCoords | ( | int | index | ) |
Gets the coordinates of the i-th midpoint of the frame with respect to the plane.
index | index of midpoint |
NXOpen::Point2d NXOpen::GeometricUtilities::ShapeFrameBuilder::GetVertexCoords | ( | int | index | ) |
Gets the coordinates of the i-th vertex of the frame with respect to the plane.
index | index of vertex |
int NXOpen::GeometricUtilities::ShapeFrameBuilder::NumberVertices | ( | ) |
Returns the number of vertices of the frame
Created in NX6.0.0.
License requirements : None
void NXOpen::GeometricUtilities::ShapeFrameBuilder::SetAnchorAttachment | ( | NXOpen::GeometricUtilities::ShapeFrameBuilder::AnchorAttachmentType | anchorAttachment | ) |
Sets the anchor attachment
Created in NX6.0.0.
License requirements : None
anchorAttachment | anchorattachment |
void NXOpen::GeometricUtilities::ShapeFrameBuilder::SetMidpointCoords | ( | int | index, |
const NXOpen::Point2d & | coords | ||
) |
Sets the coordinates of the i-th midpoint of the frame with respect to the plane
Created in NX6.0.0.
License requirements : None
index | index of midpoint |
coords | coordinates of midpoint relative with respect to plane |
void NXOpen::GeometricUtilities::ShapeFrameBuilder::SetVertexCoords | ( | int | index, |
const NXOpen::Point2d & | coords | ||
) |
Sets the coordinates of the i-th vertex of the frame with respect to the plane
Created in NX6.0.0.
License requirements : None
index | index of vertex |
coords | coordinates of vertex relative with respect to plane |
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.